> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vetcove.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a clinic patient

> Partially updates a clinic patient (pet) with the given information. Only fields included in the request body will be updated; omitted fields are left unchanged.

**Note:** PATCH semantics extend to the `metadata` field. We will merge the provided keys in this request with the existing `metadata`, overwriting any conflicting keys and preserving keys not provided.



## OpenAPI

````yaml patch /ext/v2/clinic-patients/{clinic_patient_id}/
openapi: 3.1.0
info:
  description: ''
  title: NinjaAPI
  version: 2.0.0
servers:
  - url: https://connect.vetcove.com/
security: []
paths:
  /ext/v2/clinic-patients/{clinic_patient_id}/:
    patch:
      tags:
        - Clients And Patients
      summary: Partially update a clinic patient
      description: >-
        Partially updates a clinic patient (pet) with the given information.
        Only fields included in the request body will be updated; omitted fields
        are left unchanged.


        **Note:** PATCH semantics extend to the `metadata` field. We will merge
        the provided keys in this request with the existing `metadata`,
        overwriting any conflicting keys and preserving keys not provided.
      operationId: clinic_patients_patch
      parameters:
        - description: The ID of the clinic patient to update
          in: path
          name: clinic_patient_id
          required: true
          schema:
            description: The ID of the clinic patient to update
            title: Clinic Patient Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalClinicPatientPatchSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalClinicPatientDetailSchema'
          description: OK
      security:
        - ExternalAPIAuth: []
components:
  schemas:
    ExternalClinicPatientPatchSchema:
      properties:
        allergies:
          anyOf:
            - type: string
            - type: 'null'
          description: The allergies of the clinic patient.
          title: Allergies
        birth_day:
          anyOf:
            - maximum: 31
              minimum: 1
              type: integer
            - type: 'null'
          description: The birth day of the clinic patient.
          title: Birth Day
        birth_month:
          anyOf:
            - maximum: 12
              minimum: 1
              type: integer
            - type: 'null'
          description: The birth month of the clinic patient.
          title: Birth Month
        birth_year:
          anyOf:
            - type: integer
            - type: 'null'
          description: The birth year of the clinic patient.
          title: Birth Year
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            An accessible URL containing the image we wish to set as this user's
            profile picture. Must have one of the following file extensions:
            .jpg, .jpeg, .png, .gif.
          title: Image Url
        insurance:
          anyOf:
            - $ref: '#/components/schemas/ExternalClinicPatientInsuranceCreateSchema'
            - type: 'null'
          description: The insurance covering this clinic patient, if any.
        is_altered:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Whether this patient is altered (spayed or neutered, as
            appropriate). Can be null if we do not know whether the patient is
            altered.
          title: Is Altered
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          description: User-set metadata related to this client.
          title: Metadata
        microchip_number:
          anyOf:
            - type: string
            - type: 'null'
          description: The microchip number of the clinic patient.
          title: Microchip Number
        primary_breed:
          anyOf:
            - $ref: '#/components/schemas/PatientBreed'
            - const: ''
              type: string
            - type: 'null'
          description: >-
            The primary breed of the clinic patient. This field must be
            populated with a breed applicable to the species of this patient. To
            see which breeds are applicable to each species, reference the
            patient breeds endpoint.
          title: Primary Breed
        sex:
          allOf:
            - $ref: '#/components/schemas/SexKind'
          default: UNKNOWN
          description: The sex of the clinic patient.
      title: ExternalClinicPatientPatchSchema
      type: object
    ExternalClinicPatientDetailSchema:
      properties:
        allergies:
          description: The allergies of the clinic patient.
          title: Allergies
          type: string
        auto_rabies_tag:
          anyOf:
            - type: string
            - type: 'null'
          description: The last automatically recorded rabies tag (driven by treatments).
          title: Auto Rabies Tag
        birth_day:
          anyOf:
            - maximum: 31
              minimum: 1
              type: integer
            - type: 'null'
          description: The birth day of the clinic patient.
          title: Birth Day
        birth_month:
          anyOf:
            - maximum: 12
              minimum: 1
              type: integer
            - type: 'null'
          description: The birth month of the clinic patient.
          title: Birth Month
        birth_year:
          anyOf:
            - type: integer
            - type: 'null'
          description: The birth year of the clinic patient.
          title: Birth Year
        clinic_clients:
          description: A list of clinic clients associated with this clinic patient.
          items:
            $ref: >-
              #/components/schemas/ExternalPatientClientRelationshipPatientViewSchema
          title: Clinic Clients
          type: array
        clinic_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: The ID of the clinic to which this clinic patient belongs.
          title: Clinic Id
        color:
          anyOf:
            - $ref: '#/components/schemas/PatientColor'
            - const: ''
              type: string
          description: The color of the clinic patient.
          title: Color
        created:
          description: The datetime this object was created.
          format: date-time
          title: Created
          type: string
        custom_breed:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A custom breed declared for this patient. Useful for breeds which
            are not yet in our official listing of breeds.
          title: Custom Breed
        custom_species:
          anyOf:
            - type: string
            - type: 'null'
          description: Custom species declared for this patient if species is set to Other.
          title: Custom Species
        date_of_birth:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: >-
            The date of birth of the clinic patient in ISO format (YYYY-MM-DD).
            Derived from birth_year, birth_month, and birth_day.
          title: Date Of Birth
        deactivated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: >-
            The timestamp when the clinic patient became inactive (deceased,
            surrendered, or deleted).
          title: Deactivated At
        deceased_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: >-
            The date when the clinic patient passed away, if applicable. Format:
            YYYY-MM-DD.
          title: Deceased Date
        deleted:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: The datetime this record was soft deleted.
          title: Deleted
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The ID from a clinic's legacy PIMS system, if the data was imported
            from there.
          title: External Id
        first_visit_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: 'The date of the clinic patient''s first visit. Format: YYYY-MM-DD.'
          title: First Visit Date
        id:
          description: The ID of the clinic patient.
          title: Id
          type: integer
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A pre-signed S3 URL good for 24 hours after request to the patient's
            profile picture, if any.
          title: Image Url
        insurance:
          anyOf:
            - $ref: '#/components/schemas/ExternalClinicPatientInsuranceSchema'
            - type: 'null'
          description: The insurance covering this clinic patient, if any.
        is_active:
          description: >-
            Whether the clinic patient is currently active (not deceased,
            surrendered, or deactivated).
          title: Is Active
          type: boolean
        is_alive:
          description: Whether this patient is alive.
          title: Is Alive
          type: boolean
        is_altered:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Whether this patient is altered (spayed or neutered, as
            appropriate). Can be null if we do not know whether the patient is
            altered.
          title: Is Altered
        is_deactivated:
          description: Whether this patient has been marked as deactivated.
          title: Is Deactivated
          type: boolean
        is_deleted:
          description: Whether this record is soft deleted or not.
          title: Is Deleted
          type: boolean
        is_legacy_deactivated:
          description: >-
            Whether this patient was marked as deactivated in the clinic's
            legacy PIMS.
          title: Is Legacy Deactivated
          type: boolean
        is_surrendered:
          description: Whether this patient has been surrendered by all related clients.
          title: Is Surrendered
          type: boolean
        last_visit_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: 'The date of the clinic patient''s last visit. Format: YYYY-MM-DD.'
          title: Last Visit Date
        metadata:
          description: User-set metadata related to this patient.
          title: Metadata
          type: object
        microchip_number:
          anyOf:
            - type: string
            - type: 'null'
          description: The microchip number of the clinic patient.
          title: Microchip Number
        microchip_number_updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: >-
            The timestamp when the patient's microchip number was last set or
            changed. This is a last-updated timestamp, not a strict assignment
            date, and there is no removed-date concept — the microchip number is
            overwritten with the latest value.
          title: Microchip Number Updated At
        modified:
          description: >-
            The datetime this object was last modified; changes to related
            entities will not update this field.
          format: date-time
          title: Modified
          type: string
        name:
          description: The name of the clinic patient.
          title: Name
          type: string
        organization_patient_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: The organization patient ID corresponding to this clinic patient
          title: Organization Patient Id
        patient_notes:
          description: Notes set on the clinic patient via the PIMS calendar.
          title: Patient Notes
          type: string
        pim_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the clinic patient in the clinic's PIMS.
          title: Pim Id
        primary_breed:
          anyOf:
            - $ref: '#/components/schemas/PatientBreed'
            - const: ''
              type: string
          description: >-
            The primary breed of the clinic patient. This field must be
            populated with a breed applicable to the species of this patient. To
            see which breeds are applicable to each species, reference the
            patient breeds endpoint.
          title: Primary Breed
        primary_clinic_client_id:
          description: >-
            The ID of the primary clinic client associated with this clinic
            patient.
          title: Primary Clinic Client Id
          type: integer
        reissued_rabies_tag:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The manually updated rabies tag, which overrides the automatically
            set one.
          title: Reissued Rabies Tag
        resuscitate_status:
          anyOf:
            - $ref: '#/components/schemas/ResuscitateStatus'
            - const: ''
              type: string
            - type: 'null'
          description: The resuscitate status of the clinic patient.
          title: Resuscitate Status
        secondary_breeds:
          description: >-
            The secondary breeds of the clinic patient. This field must be
            populated with a breed applicable to the species of this patient. To
            see which breeds are applicable to each species, reference the
            patient breeds endpoint.
          items:
            anyOf:
              - $ref: '#/components/schemas/PatientBreed'
              - const: ''
                type: string
          title: Secondary Breeds
          type: array
        sex:
          $ref: '#/components/schemas/SexKind'
          description: The sex of the clinic patient.
        species:
          anyOf:
            - $ref: '#/components/schemas/PatientKind'
            - const: ''
              type: string
          description: The species of the clinic patient.
          title: Species
        surrendered_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: The date when the patient was surrendered, if applicable.
          title: Surrendered Date
        weight:
          anyOf:
            - type: number
            - type: 'null'
          description: The weight of the clinic patient, in pounds (legacy field).
          title: Weight
        weight_in_units:
          anyOf:
            - type: number
            - type: 'null'
          description: >-
            The weight of the clinic patient in the unit specified by
            weight_unit.
          title: Weight In Units
        weight_unit:
          anyOf:
            - $ref: '#/components/schemas/WeightUnitOfMeasure'
            - const: ''
              type: string
            - type: 'null'
          description: The unit of measure for weight_in_units.
          title: Weight Unit
      required:
        - created
        - modified
        - is_deleted
        - deleted
        - name
        - clinic_clients
        - id
        - species
        - pim_id
        - weight
        - weight_in_units
        - weight_unit
        - sex
        - birth_month
        - birth_day
        - birth_year
        - organization_patient_id
        - primary_breed
        - secondary_breeds
        - custom_breed
        - allergies
        - is_altered
        - is_alive
        - is_surrendered
        - is_deactivated
        - is_legacy_deactivated
        - microchip_number
        - microchip_number_updated_at
        - external_id
        - primary_clinic_client_id
        - clinic_id
        - custom_species
        - color
        - deceased_date
        - surrendered_date
        - deactivated_at
        - first_visit_date
        - last_visit_date
        - patient_notes
        - resuscitate_status
        - auto_rabies_tag
        - reissued_rabies_tag
        - is_active
        - date_of_birth
        - metadata
        - image_url
      title: ExternalClinicPatientDetailSchema
      type: object
    ExternalClinicPatientInsuranceCreateSchema:
      properties:
        custom_provider_name:
          default: ''
          description: >-
            A custom name of the insurance provider. This field should be
            populated when `provider_id` is not. This field represents an
            insurance provider that is not yet in our standard listing.
          title: Custom Provider Name
          type: string
        policy_number:
          description: The policy number of this clinic patient's insurance.
          title: Policy Number
          type: string
        provider_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            The ID of the insurance provider backing this insurance, if it is
            one of the providers in our standard listing.
          title: Provider Id
      required:
        - policy_number
      title: ExternalClinicPatientInsuranceCreateSchema
      type: object
    PatientBreed:
      enum:
        - AFFENPINSCHER
        - AFGHAN_HOUND
        - AFRICAN_VILLAGE_DOG
        - AIREDALE_TERRIER
        - AKITA
        - AKITA_INU
        - JAPANESE_AKITA
        - ALASKAN_KLEE_KAI
        - ALASKAN_MALAMUTE
        - ALASKAN_TYPE_HUSKY
        - AMERICAN_BULLDOG
        - AMERICAN_ENGLISH_COONHOUND
        - REDTICK_COONHOUND
        - ENGLISH_COONHOUND
        - AMERICAN_ESKIMO_DOG
        - AMERICAN_FOXHOUND
        - AMERICAN_HAIRLESS_TERRIER
        - AMERICAN_LEOPARD_HOUND
        - AMERICAN_PIT_BULL_TERRIER
        - AMERICAN_STAFFORDSHIRE_TERRIER
        - AMERICAN_VILLAGE_DOG
        - AMERICAN_WATER_SPANIEL
        - ANATOLIAN_SHEPHERD_DOG
        - KANGAL
        - APPENZELLER_SENNENHUND
        - ARABIAN_VILLAGE_DOG
        - ARMENIAN_GAMPR
        - AUSTRALIAN_CATTLE_DOG
        - BLUE_HEELER
        - AUSTRALIAN_KELPIE
        - AUSTRALIAN_SHEPHERD
        - AUSTRALIAN_TERRIER
        - AZAWAKH
        - BARBET
        - BASENJI
        - BASSET_FAUVE_DE_BRETAGNE
        - BASSET_HOUND
        - BAVARIAN_MOUNTAIN_SCENT_HOUND
        - BAVARIAN_MOUNTAIN_HOUND
        - BEAGLE
        - BEARDED_COLLIE
        - BEAUCERON
        - BEDLINGTON_TERRIER
        - BELGIAN_LAEKENOIS
        - BELGIAN_MALINOIS
        - BELGIAN_SHEEPDOG
        - GROENENDAEL
        - BELGIAN_TERVUREN
        - BERGAMASCO_SHEEPDOG
        - BERGER_PICARD
        - BERNESE_MOUNTAIN_DOG
        - BICHON_FRISE
        - BIEWER_TERRIER
        - BLACK_RUSSIAN_TERRIER
        - BLACK_AND_TAN_COONHOUND
        - BLOODHOUND
        - BLUE_LACY
        - BLUE_PICARDY_SPANIEL
        - BLUETICK_COONHOUND
        - BOERBOEL
        - SOUTH_AFRICAN_MASTIFF
        - BOHEMIAN_SHEPHERD
        - BOLOGNESE
        - BORDER_COLLIE
        - BORDER_TERRIER
        - BORZOI
        - BOSTON_TERRIER
        - BOUVIER_DES_FLANDRES
        - BOXER
        - BOYKIN_SPANIEL
        - BRACCO_ITALIANO
        - BRAQUE_DAUVERGNE
        - BRAQUE_DU_BOURBONNAIS
        - BRAQUE_FRANCAIS_PYRENEAN
        - BRIARD
        - BRITTANY
        - BRUSSELS_GRIFFON
        - BULL_TERRIER
        - BULLDOG
        - ENGLISH_BULLDOG
        - BULLMASTIFF
        - CAIRN_TERRIER
        - CANAAN_DOG
        - CANADIAN_ESKIMO_DOG
        - CANE_CORSO
        - CANE_DI_FONNI
        - CARDIGAN_WELSH_CORGI
        - CAROLINA_DOG
        - AMERICAN_DINGO
        - CATAHOULA_LEOPARD_DOG
        - CAUCASIAN_OVCHARKA
        - CAUCASIAN_SHEPHERD_DOG
        - CAVALIER_KING_CHARLES_SPANIEL
        - CENTRAL_ASIAN_SHEPHERD_DOG
        - CENTRAL_ASIAN_VILLAGE_DOG
        - CENTRAL_AND_EAST_AFRICAN_VILLAGE_DOG
        - CESKY_FOUSEK
        - CESKY_TERRIER
        - CHESAPEAKE_BAY_RETRIEVER
        - CHIHUAHUA
        - CHINESE_CHONGQING_DOG
        - CHINESE_CRESTED
        - CHINESE_SHAR_PEI
        - CHINESE_VILLAGE_DOG
        - CHINOOK
        - CHOW_CHOW
        - CIMARRON_URUGUAYO
        - CIRNECO_DELL_ETNA
        - CLUMBER_SPANIEL
        - COCKER_SPANIEL
        - COLLIE
        - COLOMBIAN_FINO_HOUND
        - COTON_DE_TULEAR
        - COYOTE
        - CURLY_COATED_RETRIEVER
        - CZECHOSLOVAKIAN_VLCAK
        - DACHSHUND
        - DALMATIAN
        - DACHSHUND_STANDARD
        - DACHSHUND_MINIATURE
        - DANDIE_DINMONT_TERRIER
        - DANISH_SWEDISH_FARMDOG
        - DINGO
        - DOBERMAN_PINSCHER
        - DOGO_ARGENTINO
        - DOGUE_DE_BORDEAUX
        - FRENCH_MASTIFF
        - DRENTSCHE_PATRIJSHOND
        - DUTCH_SHEPHERD
        - EAST_ASIAN_VILLAGE_DOG
        - EASTERN_EUROPEAN_VILLAGE_DOG
        - ENGLISH_COCKER_SPANIEL
        - ENGLISH_FOXHOUND
        - ENGLISH_SETTER
        - ENGLISH_SHEPHERD
        - ENGLISH_SPRINGER_SPANIEL
        - ENGLISH_TOY_SPANIEL
        - ENTLEBUCHER_MOUNTAIN_DOG
        - EURASIER
        - EUROPEAN_VILLAGE_DOG
        - FIELD_SPANIEL
        - FILA_BRASILEIRO
        - FINNISH_LAPPHUND
        - FINNISH_SPITZ
        - FLAT_COATED_RETRIEVER
        - FORMOSAN_MOUNTAIN_DOG
        - TAIWAN_DOG
        - FRENCH_BULLDOG
        - FRENCH_SPANIEL
        - GERMAN_LONGHAIRED_POINTER
        - DEUTSCH_LANGHAAR
        - GERMAN_PINSCHER
        - GERMAN_SHEPHERD_DOG
        - GERMAN_SHORTHAIRED_POINTER
        - GERMAN_SPITZ
        - GERMAN_WIREHAIRED_POINTER
        - GIANT_SCHNAUZER
        - GLEN_OF_IMAAL_TERRIER
        - GOLDEN_RETRIEVER
        - GORDON_SETTER
        - GRAND_BASSET_GRIFFON_VENDEEN
        - GRAY_WOLF
        - GREAT_DANE
        - GREAT_PYRENEES
        - GREATER_SWISS_MOUNTAIN_DOG
        - GREENLAND_DOG
        - GREENLAND_SLEDGE_DOG
        - GREYHOUND
        - HAMILTONSTOVARE
        - HARRIER
        - HAVANESE
        - HOKKAIDO
        - HOVAWART
        - IBIZAN_HOUND
        - ICELANDIC_SHEEPDOG
        - INDIAN_INDIGENOUS_DOG
        - IRISH_RED_AND_WHITE_SETTER
        - IRISH_SETTER
        - IRISH_TERRIER
        - IRISH_WATER_SPANIEL
        - IRISH_WOLFHOUND
        - ISTRIAN_SHORTHAIRED_HOUND
        - ITALIAN_GREYHOUND
        - JAGDTERRIER
        - JAMTHUND
        - JAPANESE_CHIN
        - JAPANESE_SPITZ
        - JINDO
        - KAI_KEN
        - KARAKACHAN
        - KARELIAN_BEAR_DOG
        - KEESHOND
        - KERRY_BLUE_TERRIER
        - KISHU_KEN
        - KOMONDOR
        - KUVASZ
        - LABRADOR_RETRIEVER
        - LAGOTTO_ROMAGNOLO
        - LAKELAND_TERRIER
        - LANCASHIRE_HEELER
        - LAPPONIAN_HERDER
        - LEONBERGER
        - LEVRIERO_MERIDIONALE
        - LHASA_APSO
        - LLEWELLIN_SETTER
        - LOWCHEN
        - MALTESE
        - MANCHESTER_TERRIER_STANDARD
        - MANCHESTER_TERRIER_TOY
        - MAREMMA_SHEEPDOG
        - MARKIESJE
        - DUTCH_TULIP_HOUND
        - MASTIFF
        - ENGLISH_MASTIFF
        - MI_KI
        - MINIATURE_BULL_TERRIER
        - MINIATURE_PINSCHER
        - MINIATURE_SCHNAUZER
        - MINIATURE_AUSTRALIAN_SHEPHERD
        - MOUNTAIN_CUR
        - MUDI
        - MUNSTERLANDER_LARGE
        - MUNSTERLANDER_SMALL
        - MURRAY_RIVER_RETRIEVER
        - MURRAY_RIVER_CURLY_COATED_RETRIEVER
        - NEAPOLITAN_MASTIFF
        - NEDERLANDSE_KOOIKERHONDJE
        - NEW_GUINEA_SINGING_DOG
        - NEW_ZEALAND_HUNTAWAY
        - NEWFOUNDLAND
        - NORFOLK_TERRIER
        - NORRBOTTENSPETS
        - NORTHERN_EAST_AFRICAN_VILLAGE_DOG
        - NORWEGIAN_BUHUND
        - NORWEGIAN_ELKHOUND
        - NORWEGIAN_LUNDEHUND
        - NORWICH_TERRIER
        - NOVA_SCOTIA_DUCK_TOLLING_RETRIEVER
        - OLD_ENGLISH_SHEEPDOG
        - OTTERHOUND
        - PAPILLON
        - PEKINGESE
        - PEMBROKE_WELSH_CORGI
        - PERDIGUERO_DE_BURGOS
        - PERRO_DE_PRESA_CANARIO
        - PERUVIAN_INCA_ORCHID
        - PETIT_BASSET_GRIFFON_VENDEEN
        - PHARAOH_HOUND
        - PHU_QUOC_RIDGEBACK
        - PICARDY_SPANIEL
        - PLOTT
        - POINTER
        - ENGLISH_POINTER
        - POLISH_LOWLAND_SHEEPDOG
        - POLISH_TATRA_SHEEPDOG
        - POLYNESIAN_VILLAGE_DOG
        - POMERANIAN
        - TOY_POODLE
        - MINIATURE_POODLE
        - POODLE_STANDARD
        - PORTUGUESE_PODENGO
        - PORTUGUESE_PODENGO_PEQUENO
        - PORTUGUESE_POINTER
        - PORTUGUESE_WATER_DOG
        - PRAGUE_RATTER
        - PUDELPOINTER
        - PUG
        - PULI
        - PUMI
        - PUNGSAN
        - PYRENEAN_MASTIFF
        - PYRENEAN_SHEPHERD
        - RAT_TERRIER
        - REDBONE_COONHOUND
        - RHODESIAN_RIDGEBACK
        - ROTTWEILER
        - JACK_RUSSELL_TERRIER
        - RUSSIAN_TOY
        - RUSSIAN_TSVETNAYA_BOLONKA
        - RUSSELL_TERRIER
        - PARSON_RUSSELL_TERRIER
        - SAINT_BERNARD
        - SALUKI
        - SAMOYED
        - SARPLANINAC
        - SCHAPENDOES
        - SCHIPPERKE
        - SCOTTISH_DEERHOUND
        - SCOTTISH_TERRIER
        - SEALYHAM_TERRIER
        - SHETLAND_SHEEPDOG
        - SHIBA_INU
        - SHIH_TZU
        - SHIKOKU
        - SHILOH_SHEPHERD
        - SIBERIAN_HUSKY
        - SILKEN_WINDHOUND
        - MIXED_BREED
        - SILKY_TERRIER
        - SKYE_TERRIER
        - SLOUGHI
        - SLOVENSKY_CUVAC
        - SMOOTH_FOX_TERRIER
        - SOFT_COATED_WHEATEN_TERRIER
        - SPANISH_GALGO
        - SPANISH_MASTIFF
        - SPANISH_WATER_DOG
        - SPINONE_ITALIANO
        - STABYHOUN
        - STAFFORDSHIRE_BULL_TERRIER
        - STANDARD_SCHNAUZER
        - SUSSEX_SPANIEL
        - SWEDISH_LAPPHUND
        - SWEDISH_VALLHUND
        - TEDDY_ROOSEVELT_TERRIER
        - TERRIER_BRASILEIRO
        - THAI_BANGKAEW
        - THAI_RIDGEBACK
        - TIBETAN_MASTIFF
        - TIBETAN_SPANIEL
        - TIBETAN_TERRIER
        - TOSA_INU
        - TOY_FOX_TERRIER
        - TREEING_WALKER_COONHOUND
        - VIETNAMESE_VILLAGE_DOG
        - VIZSLA
        - VOLPINO_ITALIANO
        - WEIMARANER
        - WELSH_SHEEPDOG
        - WELSH_SPRINGER_SPANIEL
        - WELSH_TERRIER
        - WEST_HIGHLAND_WHITE_TERRIER
        - WEST_SIBERIAN_LAIKA
        - WESTERN_EUROPEAN_VILLAGE_DOG
        - WETTERHOUN
        - FRISIAN_WATER_DOG
        - WHIPPET
        - WHITE_SHEPHERD
        - WHITE_SWISS_SHEPHERD
        - BERGER_BLANC_SUISSE
        - WINDSPRITE
        - LONGHAIRED_WHIPPET
        - WIRE_FOX_TERRIER
        - WIREHAIRED_POINTING_GRIFFON
        - WIREHAIRED_VIZSLA
        - XOLOITZCUINTLI
        - MEXICAN_HAIRLESS
        - YAKUTIAN_LAIKA
        - YORKSHIRE_TERRIER
        - SILKEN_WINDSPRITE
        - GOLDENDOODLE
        - LABRADOODLE
        - BERNEDOODLE
        - AUSSIEDOODLE
        - SHEEPADOODLE
        - FEIST
        - MINIATURE_AMERICAN_SHEPHERD
        - CAVACHON
        - ARCTIC_FOX
        - FENNEC_FOX
        - GREY_FOX
        - RED_FOX
        - SWIFT_FOX
        - ABYSSINIAN
        - AMERICAN_BOBTAIL
        - AMERICAN_CURL
        - AMERICAN_SHORTHAIR
        - AMERICAN_WIREHAIR
        - BALINESE
        - BENGAL
        - BIRMAN
        - BOMBAY
        - BRITISH_SHORTHAIR
        - BURMESE
        - BURMILLA
        - CHARTREUX
        - COLORPOINT_SHORTHAIR
        - CORNISH_REX
        - DEVON_REX
        - EGYPTIAN_MAU
        - EUROPEAN_BURMESE
        - EXOTIC
        - HAVANA_BROWN
        - JAPANESE_BOBTAIL
        - KHAO_MANEE
        - KORAT
        - LAPERM
        - LYKOI
        - MAINE_COON
        - MANX
        - MUNCHKIN
        - NORWEGIAN_FOREST_CAT
        - OCICAT
        - ORIENTAL
        - PERSIAN
        - RAGAMUFFIN
        - RAGDOLL
        - RUSSIAN_BLUE
        - SCOTTISH_FOLD
        - SELKIRK_REX
        - SIAMESE
        - SIBERIAN
        - SINGAPURA
        - SOMALI
        - SPHYNX
        - TONKINESE
        - TOYBOB
        - TURKISH_ANGORA
        - TURKISH_VAN
        - DOMESTIC_SHORTHAIR_DSH
        - DOMESTIC_LONGHAIR_DLH
        - DOMESTIC_MEDIUMHAIR_DMH
        - HIMALAYAN
        - NEBELUNG
        - COLD_BLOOD
        - PINTO
        - PAINT
        - QUARTER_HORSE
        - SADDLEBRED
        - THOROUGHBRED
        - BELGIAN
        - GRADE
        - PONY
        - BELGIUM_WARMBLOOD
        - CLEVELAND_BAY
        - DONKEY
        - DUTCH_WARMBLOOD
        - HACKNEY
        - HAFLINGER
        - HANOVERIAN
        - IRISH_SPORTHORSE
        - KENTUCKY_MOUNTAIN_HORSE
        - MINIATURE_DONKEY
        - MULE
        - PERCHERON
        - ROCKY_MOUNTAIN_HORSE
        - SHETLAND_PONY
        - STANDARDBRED
        - SWEDISH_WARMBLOOD
        - AMERICAN_SADDLEBRED
        - APPALOOSA
        - ARABIAN
        - CLYDESDALE
        - MINIATURE_HORSE
        - MISSOURI_FOX_TROTTER
        - MORGAN
        - MUSTANG
        - PALAMINO
        - PERUVIAN_PASO_FINO
        - TENNESSEE_WALKER
        - WARMBLOOD
        - ANDALUSIAN
        - FRIESIAN
        - BURRO
        - ARAB_CROSS
        - GYPSY_VANNER
        - LIPPIZZAN
        - LUSITANO
        - QUARTER_HORSE_CROSS
        - SPANISH_BARB
        - THOROUGHBRED_CROSS
        - WARMBLOOD_CROSS
        - WELSH
        - AMERICAN_QUARTER_HORSE
        - ARDENNES
        - AUSTRALIAN_WARMBLOOD
        - AMERICAN_WARMBLOOD
        - BURMESE_HORSE
        - CASPIAN_HORSE
        - CORSICAN_HORSE
        - DANISH_WARMBLOOD
        - ESTONIAN_DRAFT
        - FLEUVE
        - OLDENBURG
        - SPOTTED_SADDLE_HORSE
        - IRISH_DRAFT
        - DRAFT
        - FJORD
        - BUDGIE
        - BLUE_FRONTED_AMAZON
        - MACAW
        - COCKATIEL
        - COCKATOO
        - ORANGE_WINGED_AMAZON
        - WHITE_FRONTED_AMAZON
        - YELLOW_NAPED_AMAZON
        - FISCHERS_LOVEBIRD
        - GREEN_WINGED_MACAW
        - SCARLET_MACAW
        - SENEGAL_PARROT
        - LORY
        - CONURE
        - PARROTLET
        - BLUE_AND_GOLD_MACAW
        - CHESTNUT_FRONTED_MACAW
        - HAHNS_MACAW
        - HYACINTH_MACAW
        - MILITARY_MACAW
        - NOBLE_MACAW
        - RED_BELLIED_MACAW
        - RED_SHOULDERED_MACAW
        - SEVERE_MACAW
        - AFRICAN_GREY
        - CONGO_AFRICAN_GREY
        - TIMNEH_AFRICAN_GREY
        - AMAZON
        - CUBAN_AMAZON
        - DOUBLE_YELLOW_HEADED_AMAZON
        - FINSCHS_AMAZON
        - GREEN_CHEEKED_AMAZON
        - HISPANIOLAN_AMAZON
        - LILAC_CROWNED_AMAZON
        - MEALY_AMAZON
        - MEXICAN_RED_HEAD_AMAZON
        - PUERTO_RICAN_AMAZON
        - RED_LORED_AMAZON
        - SPECTACLED_AMAZON
        - TUCUMAN_AMAZON
        - YELLOW_CROWNED_AMAZON
        - YELLOW_HEADED_AMAZON
        - BLACK_HEADED_CAIQUE
        - WHITE_BELLIED_CAIQUE
        - BLACK_CAPPED_CONURE
        - BLUE_CROWNED_CONURE
        - CITRON_CRESTED_COCKATOO
        - CORELLA
        - DUSKY_HEADED_CONURE
        - GALAH
        - GREEN_CHEEKED_CONURE
        - GOFFINS_COCKATOO
        - GREEN_CONURE
        - JENDAYA_CONURE
        - LEADBEATER_COCKATOO
        - MAROON_BELLIED_CONURE
        - MITRED_CONURE
        - MAJOR_MITCHELL_COCKATOO
        - MOLUCCAN_COCKATOO
        - NANDAY_CONURE
        - ORANGE_FRONTED_CONURE
        - PALM_COCKATOO
        - PAINTED_CONURE
        - PATAGONIAN_CONURE
        - ROSE_BREASTED_COCKATOO
        - SALMON_CRESTED_COCKATOO
        - SUN_CONURE
        - SULFUR_CRESTED_COCKATOO
        - UMBRELLA_COCKATOO
        - WHITE_EYED_CONURE
        - WHITE_COCKATOO
        - ECLECTUS
        - HAWKHEAD
        - LORIKEET
        - GOLDIES_LORIKEET
        - MUSK_LORIKEET
        - PERFECT_LORIKEET
        - RAINBOW_LORIKEET
        - BLACK_CAPPED_LORY
        - BLUE_STREAKED_LORY
        - CHATTERING_LORY
        - RED_LORY
        - LOVEBIRD
        - PEACHFACED_LOVEBIRD
        - PARROT
        - BROWN_HEADED_PARROT
        - CAPE_PARROT
        - GREY_HEADED_PARROT
        - JARDINES_PARROT
        - MEYERS_PARROT
        - RED_BELLIED_PARROT
        - PIONUS
        - BLUE_HEADED_PIONUS
        - BRONZE_WINGED_PIONUS
        - DUSKY_PIONUS
        - MAXIMILIANS_PIONUS
        - SCALY_HEADED_PIONUS
        - WHITE_CAPPED_PIONUS
        - AFRICAN_RINGNECK
        - ALEXANDRINE_PARAKEET
        - INDIAN_RINGNECK
        - MOUSTACH_PARAKEET
        - ROSE_BREASTED_PARAKEET
        - ROSE_RINGED_PARAKEET
        - MONK_QUAKER
        - ROSELLA
        - GREY_CHEEKED_PARAKEET
        - BOURKES_PARAKEET
        - REAGENT_PARAKEET
        - SPLENDID_PARAKEET
        - SUPERB_PARAKEET
        - ROCK_PEBBLER_PARAKEET
        - PARAKEET
        - YELLOW_COLLARED
        - CAIQUE
        - BARE_EYED_COCKATOO
        - DOMESTIC_DUCK
        - DUCK
        - MALLARD_DUCK
        - PEKIN_DUCK
        - DOMESTIC_GOOSE
        - GOOSE
        - BLACK_SWAN
        - MUTE_SWAN
        - SWAN
        - TRUMPTER_SWAN
        - WHISTLING_SWAN
        - WHOOPER_SWAN
        - HERON
        - IBIS
        - LOON
        - STORK
        - DOVE
        - MOURNING_DOVE
        - RING_NECK_DOVE
        - PIGEON
        - ROCK_DOVE
        - CHICKEN_HEN
        - CHICKEN
        - CHICKEN_ROOSTER
        - GROUSE
        - GUINEAFOWL
        - PARTRIDGE
        - PEACOCK
        - PEAFOWL
        - PEAHEN
        - PHEASANT
        - QUAIL
        - DOMESTIC_TURKEY
        - TURKEY
        - WILD_TURKEY
        - AFRICAN_CROWNED_CRANE
        - CRANE
        - SANDHILL_CRANE
        - WHOOPING_CRANE
        - BLACKBIRD
        - CROW
        - BENGALESE_FINCH
        - FINCH
        - GOLDFINCH
        - GOULDIAN_FINCH
        - HOUSE_FINCH
        - SOCIETY_FINCH
        - ZEBRA_FINCH
        - GRACKLE
        - MYNAH
        - RAVEN
        - ROBIN
        - PASSERINE
        - SONGBIRD
        - SPARROW
        - STARLING
        - CORMORANT
        - PELICAN
        - PHOENICOPTERIFORME_FLAMINGO
        - KEEL_BILLED_TOUCAN
        - TOUCAN
        - TOCO_TOUCAN
        - CONDOR
        - BALD_EAGLE
        - EAGLE
        - GOLDEN_EAGLE
        - FALCON
        - PEREGRINE
        - BAY_WINGED_HAWK
        - HAWK
        - HARRIS_HAWK
        - RED_TAIL_HAWK
        - KESTREL
        - OSPREY
        - BARN_OWL
        - BARRED_OWL
        - GREAT_GREY_OWL
        - GREAT_HORNED_OWL
        - OWL
        - SCREECH_OWL
        - SNOWY_OWL
        - TURKEY_VULTURE
        - VULTURE
        - AFRICAN_PENGUIN
        - JACKASS_PENGUIN
        - PENGUIN
        - HORNBILL
        - ROOSTER
        - CANARY
        - HOLSTEIN
        - BLACK_ANGUS
        - CHAROLAIS
        - GELBVIEH
        - HEREFORD
        - HIGHLANDS
        - LIMOUSIN
        - RED_ANGUS
        - SIMMENTAL
        - TEXAS_LONGHORN
        - KUDU
        - BISON
        - ANGORA
        - DUTCH_BELTED_RABBIT
        - DWARF_RABBIT
        - FLEMISH_RABBIT
        - LION_HEAD_RABBIT
        - LOP_EARED_RABBIT
        - NEW_ZEALAND_WHITE_RABBIT
        - MINI_LOP
        - REX_RABBIT
        - DOMESTIC_RABBIT
        - NETHERLAND_DWARF
        - POLISH
        - CALIFORNIAN
        - JERSEY_WOOLY
        - HOTOT
        - MINI_REX
        - HOLLAND_LOP
        - FRENCH_LOP
        - SATIN
        - ENGLISH_SPOT
        - NEW_ZEALAND
        - CHECKERED
        - HARLEQUIN
        - CHINCHILLA
        - CHINESE_STRIPED_HAMSTER
        - DEGU
        - DUPRASI_FAT_TAILED_GERBIL
        - GOLDEN_SYRIAN_HAMSTER
        - GUINEA_PIG
        - JIRD_GERBIL
        - MOUSE
        - NMRI_MOUSE
        - PRAIRIE_DOG
        - RAT
        - RUSSIAN_DWARF_HAMSTER
        - SPRAGUE_DAWLEY_RAT
        - SQUIRREL
        - SQUIRREL_GREY_BLACK
        - BEAVER
        - PORCUPINE
        - CAPYBARA
        - CAVY
        - CHIPMUNK
        - BEARDED_DRAGON
        - BOA_CONSTRICTOR
        - BOA
        - EMERALD_TREE_BOA
        - RED_TAILED_BOA
        - ALLIGATOR
        - CAIMAN
        - CROCODILE
        - CHAMELEON
        - JACKSONS_CHAMELEON
        - PANTHER_CHAMELEON
        - REUNION_ISLAND_CHAMELEON
        - VEILED_CHAMELEON
        - CRESTED_GECKO
        - GECKO
        - LEOPARD_GECKO
        - NEW_CALEDONIAN_GECKO
        - GREEN_IGUANA
        - IGUANA
        - KOMODO_DRAGON
        - LIZARD
        - DUMERILS_MONITOR
        - MONITOR
        - SAVANNA_MONITOR
        - WATER_MONITOR
        - WHITE_THROATED_MONITOR
        - ASIAN_ROCK_PYTHON
        - BALL_PYTHON
        - BURMESE_PYTHON
        - CARPET_PYTHON
        - DIAMOND_PYTHON
        - PYTHON
        - ROYAL_PYTHON
        - TREE_PYTHON
        - SKINK
        - TEGU
        - SNAKE
        - CORN_SNAKE
        - GARTER_SNAKE
        - GOPHER_SNAKE
        - HOG_NOSED_SNAKE
        - KING_SNAKE
        - MILK_SNAKE
        - PINE_SNAKE
        - RAT_SNAKE
        - RATTLESNAKE
        - VIPER
        - TORTOISE
        - ALDABRA_TORTOISE
        - AFRICAN_SPURRED_TORTOISE
        - DESERT_TORTOISE
        - EGYPTIAN_TORTOISE
        - GALAPAGOS_TORTOISE
        - GOPHER_TORTOISE
        - GREEK_TORTOISE
        - LEOPARD_TORTOISE
        - RUSSIAN_TORTOISE
        - STAR_TORTOISE
        - SULCATA_TORTOISE
        - CHERRY_HEAD_TORTOISE
        - RED_FOOTED_TORTOISE
        - YELLOW_FOOTED_TORTOISE
        - ATLANTIC_GREEN_TURTLE
        - ATLANTIC_RIDLEY_TURTLE
        - AFRICAN_SIDE_NECK_TURTLE
        - BOX_TURTLE
        - DIAMONDBACK_TERRAPIN
        - LOGGERHEAD_TURTLE
        - PAINTED_TURTLE
        - RED_EAR_SLIDER_TURTLE
        - TURTLE
        - SLIDER
        - SNAPPING_TURTLE
        - YELLOW_BELLIED_SLIDER
        - SPINY_TAILED_LIZARD
        - UROMASTYX
        - AUSTRALIAN_WATER_DRAGON
        - CHINESE_WATER_DRAGON
        - FRILLED_DRAGON
        - WATER_DRAGON
        - SERRATED_FOREST_HINGEBACK_TORTOISE
        - WOOD_TURTLE
        - ANOLE
        - FALSE_CHAMELEON
        - ALLIGATOR_LIZARD
        - AXOLOTL
        - FROG
        - MUD_PUPPY
        - SALAMANDER
        - TOAD
        - TREE_FROG
        - PACMAN_FROG
        - BULL_FROG
        - AFRICAN_DWARF_FROG
        - AFRICAN_CLAWED_FROG
        - GOLDFISH
        - KOI
        - EEL
        - RAY
        - SHARK
        - GOTTINGEN_MINI
        - COMMERCIAL_CROSS
        - LARGE_WHITE_X
        - HANFORD
        - MINI_PIG
        - POT_BELLIED_PIG
        - SINCLAIR
        - YORKSHIRE_X
        - YUCATAN
        - YUCATAN_MINI
        - AFRICANBUSH_PIG
        - BABIRUSA_PIG
        - CWARTHOG_PIG
        - DOMESTIC_PIG
        - YORKSHIRE
        - HAMPSHIRE_PIG
        - VIETNAMESE_POTBELLIED_PIG
        - WHITE_YORKSHIRE_LANDRACE
        - ALPINE_X
        - ALPINE
        - BOER_X
        - BOER
        - CASHMERE
        - LA_MANCHA
        - NUBIAN
        - NIGERIAN_DWARF
        - OBERHASLI
        - NUBIAN_X
        - PYGMY_GOAT
        - PYGORA
        - SAANEN
        - TOGGENBURG
        - DOMESTIC_GOAT
        - ANGORA_GOAT
        - ROCKY_MOUNTAIN_GOAT
        - BARBADO
        - BORDER_LEICESTER
        - BIGHORN_SHEEP
        - DORSET
        - CHEVIOT
        - DORSET_X
        - HAMPSHIRE_SHEEP
        - MERINO
        - SHETLAND
        - SUFFOLK_X
        - SUFFOLK
        - DOMESTIC_SHEEP
        - DALL_SHEEP
        - LLAMA
        - ALPACA
        - CAMEL
        - ALPACA_HUACAYA
        - ALPACA_SURI
        - ARABIAN_DROMEDARIAN_CAMEL
        - BACTRIAN_CAMEL
        - EMU
        - OSTRICH
        - SUGAR_GLIDER
        - OPOSSUM
        - FERRET
        - WEASEL
        - MINK
        - ELK
        - DEER
        - RACCOON
        - COATI
        - HEDGEHOG
        - SKUNK
        - UNKNOWN
      title: PatientBreed
      type: string
    SexKind:
      enum:
        - MALE
        - FEMALE
        - UNKNOWN
      title: SexKind
      type: string
    ExternalPatientClientRelationshipPatientViewSchema:
      properties:
        clinic_client_id:
          description: The ID of the clinic client associated with this clinic patient.
          title: Clinic Client Id
          type: integer
        is_active:
          description: >-
            Whether the clinic patient is currently associated with this clinic
            client.
          title: Is Active
          type: boolean
      required:
        - clinic_client_id
        - is_active
      title: ExternalPatientClientRelationshipPatientViewSchema
      type: object
    PatientColor:
      enum:
        - BLACK
        - BROWN
        - GRAY
        - SILVER
        - LILAC
        - LIGHT_SILVER
        - WHITE
        - CREAM
        - LIGHT_BROWN
        - DARK_BROWN
        - FAWN
        - APRICOT
        - TAN
        - RUST
        - CHESTNUT
        - WHITE_FAWN
        - BLACK_SILVER
        - WHITE_LILAC
        - LILAC_APRICOT
        - WHITE_GRAY
        - WHITE_BLACK
        - BLACK_RUST
        - BROWN_TAN
        - BLACK_DARK_BROWN
        - WHITE_SILVER
        - WHITE_APRICOT
        - BLACK_GRAY
        - LIGHT_BROWN_FAWN
        - BLACK_CREAM
        - WHITE_BROWN
        - WHITE_TAN
        - BLACK_TAN
        - BRINDLE
        - RED
        - BLUE
        - BLACK_MERLE
        - HARLEQUIN
        - BLUE_MERLE
        - RED_MERLE
        - GOLDEN
        - WHITE_BLACK_SPOTTED
        - LILAC_WHITE
        - ORANGE
        - ORANGE_WHITE
        - TABBY
        - BROWN_TABBY
        - GRAY_TABBY
        - ORANGE_TABBY
        - SEAL_POINT
        - FLAME_POINT
        - TORTOISESHELL
        - DILUTE_TORTOISESHELL
        - CALICO
        - TUXEDO
        - BROWN_WHITE
        - BLACK_BROWN
        - TRI_COLOR
        - RED_TRI_COLOR
        - BLUE_POINT
        - YELLOW
        - GREEN
        - CHINCHILLA
      title: PatientColor
      type: string
    ExternalClinicPatientInsuranceSchema:
      properties:
        custom_provider_name:
          description: >-
            A custom name of the insurance provider. This field should be
            populated when `provider_id` is not. This field represents an
            insurance provider that is not yet in our standard listing.
          title: Custom Provider Name
          type: string
        policy_number:
          description: The policy number of this clinic patient's insurance.
          title: Policy Number
          type: string
        provider_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            The ID of the insurance provider backing this insurance, if it is
            one of the providers in our standard listing.
          title: Provider Id
      required:
        - provider_id
        - custom_provider_name
        - policy_number
      title: ExternalClinicPatientInsuranceSchema
      type: object
    ResuscitateStatus:
      enum:
        - DNR
        - CPR
      title: ResuscitateStatus
      type: string
    PatientKind:
      enum:
        - CANINE
        - FELINE
        - EQUINE
        - AVIAN
        - BOVINE
        - FERRET
        - RABBIT
        - RODENT
        - REPTILE
        - AMPHIBIAN
        - FISH
        - PORCINE
        - CAPRINE
        - SHEEP
        - CAMELID
        - RATITE
        - MARSUPIAL
        - MUSTELID
        - CERVID
        - PROCYONIDAE
        - ERINACEIDAE
        - MEPHITIDAE
        - OTHER
        - UNSPECIFIED
      title: PatientKind
      type: string
    WeightUnitOfMeasure:
      enum:
        - POUND
        - KILOGRAM
        - GRAM
        - OUNCE
      title: WeightUnitOfMeasure
      type: string
  securitySchemes:
    ExternalAPIAuth:
      scheme: bearer
      type: http

````